Last Comment Bug 756855 - IonMonkey: Crash at weird location of 0x00000001005ead60 with testcase and --ion-eager
: IonMonkey: Crash at weird location of 0x00000001005ead60 with testcase and --...
Status: RESOLVED FIXED
: crash, testcase
Product: Core
Classification: Components
Component: JavaScript Engine (show other bugs)
: Other Branch
: x86 Mac OS X
: -- critical (vote)
: ---
Assigned To: David Anderson [:dvander]
:
: Jason Orendorff [:jorendorff]
Mentors:
Depends on:
Blocks: jsfunfuzz IonFuzz
  Show dependency treegraph
 
Reported: 2012-05-20 02:38 PDT by Gary Kwong [:gkw] [:nth10sd]
Modified: 2012-06-27 11:21 PDT (History)
6 users (show)
gary: in‑testsuite-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
partially reduced testcase (38.26 KB, text/plain)
2012-05-20 02:38 PDT, Gary Kwong [:gkw] [:nth10sd]
no flags Details
stack (1.80 KB, text/plain)
2012-05-20 02:40 PDT, Gary Kwong [:gkw] [:nth10sd]
no flags Details

Description Gary Kwong [:gkw] [:nth10sd] 2012-05-20 02:38:40 PDT
Created attachment 625474 [details]
partially reduced testcase

The attached testcase crashes js opt shell on IonMonkey changeset 890dd17b4187 with --ion-eager at a weird address.

The testcase is fragile, so attaching partially reduced.
Comment 1 Gary Kwong [:gkw] [:nth10sd] 2012-05-20 02:40:44 PDT
Created attachment 625475 [details]
stack

--ion-eager is needed, and this crash does not seem to reproduce in debug builds.
Comment 2 David Anderson [:dvander] 2012-05-21 17:50:25 PDT
Gary, could you retest this after the fix for bug 756659 lands? I think it's the same bug.
Comment 3 Gary Kwong [:gkw] [:nth10sd] 2012-05-21 18:15:44 PDT
(In reply to David Anderson [:dvander] from comment #2)
> Gary, could you retest this after the fix for bug 756659 lands? I think it's
> the same bug.

Likely the same bug, seemingly no longer reproduces. -> FIXED
Comment 4 Gary Kwong [:gkw] [:nth10sd] 2012-06-27 11:21:15 PDT
Large fragile testcase -> in-testsuite-

Note You need to log in before you can comment on or make changes to this bug.